Overview Of Immersion TouchSense Technology and Immersion TouchWare

Overview Of Immersion® TouchSense™ Technology and Immersion® TouchWare® Applications

Connecting An Immersion® TouchSense™ Tactile Feedback Device

To experience tactile feedback effects you must have a mouse/trackball device with built-in Immersion TouchSense support installed correctly on your system. Once a device is properly installed, applications enabled with Immersion TouchSense technology will automatically play tactile feedback effects as you use the application.

Multiple Immersion TouchSense compatible devices may be connected at once. When more than one device is connected at a time, all will function as input devices (i.e. all will move the pointer), but only one will provide tactile feedback at a time.

If you are sure the device is correctly installed but are still not feeling any tactile feedback, verify that the Overall Strength is not set to Low in the Immersion TouchSense Control Panel, that the check box for Disable All Forces is not selected, and that the check box for Start Automatically is selected. If you are still having trouble, please consult your device's owner's manual and troubleshooting guide or contact your hardware manufacturer for technical support.

What is Immersion® TouchSense™?

Immersion TouchSense is a combination of hardware and software technologies that bring tactile feedback to your computer system. This technology was designed and developed by Immersion to create a more intuitive and compelling computing experience.

Within each Immersion TouchSense compatible device there is a custom actuator that creates tactile feedback sensations in the form of vibrations and textures. The type of sensation produced is controlled by Immersion TouchWare Applications such as Immersion TouchWare Desktop 2.5 and Immersion TouchWare Business 1.0.

The heart of Immersion TouchSense technology is the science of haptics. The word 'haptic' refers to the perception of both kinesthetic (i.e. the position and orientation of hands and fingers) and tactile sensations. Our haptic sense makes it possible for us to 'touch' the outside world - to locate objects, feel textures, hold things and pick things up. Haptic interface systems are ones that allow the computer to interact with the user's haptic system, to enable the user to "feel" virtual computer objects as if they were real.

The benefits of Immersion TouchSense technology include improved performance, a more comfortable and intuitive interface, and a generally more pleasing sensory interaction with the computer.

Immersion's TouchSense technology is a widely available commercial technology. Immersion TouchSense is a combination of hardware and software technology covered by a diverse patent portfolio of over 100 issued patents. Dozens of tactile and force feedback products incorporating this technology are available from Immersion's licensees including Microsoft, Logitech and Interact.

Immersion® TouchWare® Desktop 2.5

Immersion TouchWare Desktop adds tactile feedback sensations to standard desktop items such as icons, menu items and buttons. These tactile feedback effects are important as they reinforce what you already see in a pleasant but tactile way. Immersion TouchWare Desktop also adds tactile feedback sensations to the Microsoft® Wordpad and Microsoft Notepad text editors.

Immersion TouchWare Desktop and Immersion TouchWare Business share a common control panel, the Immersion TouchSense Control Panel, to make it simpler to quickly change the tactile feedback effects on the desktop and office suite applications at the same time.

Immersion® TouchWare® Business 1.0

Immersion TouchWare Business augments the functionality of Immersion TouchWare Desktop to bring tactile feedback effects to office productivity suite applications. Version 1.0 supports Microsoft® Office applications such as Microsoft Word and Microsoft Excel. Dozens of tactile feedback effects have been included. For example, you can feel smooth bumps between lines when dragging text in Microsoft Word. You can feel metallic pops in Microsoft Excel while scrolling, helping to reduce confusion about how fast you are moving through a worksheet.

Immersion TouchWare Desktop 2.5 and Immersion TouchWare Business 1.0 share a common control panel, the Immersion TouchWare Applications Control Panel, to make it simpler to quickly change the tactile feedback effects on the desktop and office suite applications at the same time.

Themes

A theme is a set of tactile feedback effects that define how your desktop feels when using an Immersion TouchSense compatible device. A tactile feedback theme is analogous to setting a color Scheme from in the Display Properties control panel in Windows®; however, instead of defining the visual output of your display you are setting the tactile output of your Immersion TouchSense device.

There are many desktop themes that come with your Immersion TouchSense device. You can change desktop themes by selecting from the list in the Immersion TouchSense Themes combo box on the General tab of the Immersion TouchWare Applications control panel.

It is worthwhile exploring the different themes supplied with your device, as the tactile feedback experience can be very different using various themes. Some people enjoy themes that are stronger than others. Some people like to have very crisp tactile feedback effects. Others prefer more subtle vibration effects. Try picking one that is just right for you from the list.

Immersion® TouchWare® Applications Control Panel

The Immersion TouchWare Applications control panel controls tactile feedback effects. To open the control panel, either double-click the multi-colored hand icon in the system tray or select it from the toolbar of your Immersion TouchSense-enabled application (e.g. Microsoft® Excel). The control panel offers a quick and simple way to change tactile feedback desktop themes and control the strength of the tactile feedback. You can use the control panel to disable tactile feedback effects, automatically enable tactile feedback effects on start-up, as well as control advanced effects.

The Immersion TouchWare Applications control panel is used to control tactile feedback effects for both Immersion TouchWare Desktop 2.5 and Immersion TouchWare Business 1.0. Using a common control panel makes it simpler to quickly change the tactile feedback effects on the desktop and office suite applications at the same time.

Editing Themes with Immersion® Studio 4.1

Immersion TouchSense themes can be modified using Immersion Studio 4.1, the tactile feedback effect editor. In the General tab of the Immersion TouchWare Applications control panel, click the Edit button to launch Immersion Studio.

When certain actions occur in an application, the application will look for the corresponding tactile effect by name in the currently chosen theme. For example, Immersion TouchWare Desktop will play the theme's DesktopMenuItems effect when the cursor crosses a menu item. (See elsewhere in this reference for lists of convention names corresponding to various actions.)

_________________________
©2001 Immersion Corporation. All Rights Reserved. Immersion, TouchSense, and TouchWare are trademarks or registered trademarks of Immersion Corporation. Microsoft and Windows are trademarks or registered trademarks of Microsoft Corporation in the United States and/or other countries.


The Immersion Editor

The Editor

Immersion TouchSense themes can be edited using Immersion Studio 4.1. To do so, open the Immersion TouchWare Applications control panel either by double-clicking the multi-colored hand icon in the tray bar or selecting it from the toolbar of your TouchSense-enabled application (e.g. Microsoft Excel). In the General tab, click the Edit button to launch Immersion Studio, the tactile feedback effect editor.

When Immersion Studio is opened, you will see the following screen:

It contains three sections, or panes. The left pane contains a list of all the events and objects for which it is possible to add or modify tactile sensations:

Figure: The Event Pane

You may not add or remove items from this list, nor change the names of these actions. If an icon is grayed, it means that there is no tactile sensation (yet) associated with the item. See the section on "Convention Names for Tactile Effects" to see which operation a list item corresponds to.

If you click on an item in the list, the tactile effect(s) associated that event, if any, will appear in the middle pane:

Figure: The Effects Pane

In this example, there are two component effects that make up the overall tactile sensation: a periodic (wave) effect called "Clip_Twang" and a texture called "DesktopDragging2". Each type of effect -- Periodic, Pulse, Texture -- has a different icon. To add a new effect click one of three buttons in the upper-left. Effects can be used in more than one event. To add an effect used already created and used elsewhere, select it from the Edit:Insert Existing Effect menu. To delete an effect, select it in the window and hit the Delete key.

On the right side is a time-line showing each component effect's start and end time. You can resize or move these indicators. To preview the overall sensation, click on the green arrow.

If you click on an effect in the list, an editor for that effect will appear in the right pane. This will be a Periodic editor, Pulse editor, or Texture editor.


Texture Effect

A texture is a condition, similar to friction, which causes the mouse to feel as if it were traveling over a series of bumps. Textures are defined by the magnitude, size (thickness), and center-to-center spacing of a series of bumps. Texture effect, like friction, is related to the speed of the mouse movement. You may superimpose several texture effects to create a sophisticated texture.

Figure: Texture Effect Editor

Display

The display window represents the screen you are working on. The positive bumps are shown in green and negative bumps are shown in brown.

Positive Bump Magnitude

This value specifies the bump magnitude when the mouse moves along right or down directions.

Negative Bump Magnitude

This value specifies the bump magnitude when the mouse moves along left or up directions.

Positive Bump Width

This value specifies the bump width when the mouse moves along right or down directions.

Negative Bump Width

This value specifies the bump width when the mouse moves along left or up directions.

Positive Bump Space

This value specifies the space between bumps when the mouse moves along right or down directions.

Negative Bump Space

This value specifies the space between bumps when the mouse moves along left or up directions.

Offsets

The offsets allow you to adjust the positions bumps appear.

Axis

This selection box let you specify the effective axis of the texture. It can be along the X-axis only, Y-axis only, or both XY axes.

Clip effect to display window

Texture effect is a global effect. It appears all over the screen. To avoid having the effect interfere with normal mouse operations while editing, by default the editor clips the texture effect to play only inside the display window. You may turn on/off the clipping by clicking on this check box.

Time

The start delay and duration of the effect can be adjusting the slider bar or by typing a value (in seconds) into the Delay and Duration fields. To set the effect to run forever, push in the Infinity button adjacent to the Duration field.

Defaults

This button resets all values to their default setting.

Revert

This button allows you to revert to original setting when the editor was opened.


Periodic Effect

The Periodic effect is a force that varies over time, such as a sine wave, square wave, etc. It can feel like a simple back and forth motion or a high frequency vibration.

Periodic Editor
Figure: Periodic Effect Editor

Offset

Offset controls the distance of the wave from the origin. This value can be set with either the slider bar or the text box below it, and also by dragging the blue handle on the Envelope graph.

Envelope

The envelope allows you to change the profile of the periodic force over time with three phases. These phases allow a periodic effect to ramp up or down or fade in or out.

Attack

This is the starting profile of the Periodic effect. It is set either by dragging the red handles on the graph or by providing Level and Time values in the boxes below. Level is the value marked by the first red handle.

Magnitude

Magnitude is the steady state Periodic magnitude. To set it, drag the upper line up or down, or type in a value in the text box below.

Fade

Fade is the ending profile of the Periodic effect. To set it, drag the red handles or enter values in the text boxes below. Level is the location of the last red handle. Fade is automatically set to Magnitude if duration is "Infinite."

Waveform

Waveform options are: Sine, Square, Triangle, Sawtooth Up, and Sawtooth Down. A Cosine wave is a Sine wave with Phase set to 90 degrees.

Phase

The Phase of the waves can be set either with the dial or through values in degrees entered directly in the text box. Changes in phase are updated in the periodic graph.

Direction

Direction allows the periodic to output at an angle set by the dial. Angles can also be entered in degrees directly in the text box below.
This setting has no effect on tactile feedback mice.

Iterations

Iterations specifies how many times the effect should cycle when it is played. The arrows can be used to increment and decrement the value. To specify that the effect repeated forever, push in the adjacent Infinity button.

Trigger

Trigger settings can be ignored when editing effects for TouchWare Desktop or TouchWare Office.

Button

Select a button to trigger the periodic force within an application.

Repeat Interval

The effect can be played repeatedly while the trigger button is held down by entering a value (in seconds) in the box. This is the delay in seconds between repetitions. To specify that the effect is not repeated, push in the adjacent Infinity button.

Period

The Period of the wave can be set using the slider bar or by typing into the Period field. The value is the cycle duration in seconds. The "Freq" field displays the calculated frequency in hertz.

Time

The start delay and duration of the effect can be adjusting the slider bar or by typing a value (in seconds) into the Delay and Duration fields. To set the effect to run forever, push in the Infinity button adjacent to the Duration field.

Start

Start initiates the effect.

Stop

Stop ends the effect.

Defaults

This button resets all values to their default setting.

Revert

This button allows you to revert to original setting when the editor was opened.


Pulse Effect

A Pulse creates a "pop" sensation.

Figure: Pulse Effect Editor

Envelope

The envelope allows you to change the profile of the force over time with three phases. These phases allow a force to ramp up or down or fade in or out.

Attack

This is the starting profile of the Pulse effect. It is set either by dragging the red handles on the graph or by providing Level and Time values in the boxes below. Level is the value marked by the first red handle.

Magnitude

Magnitude is the steady state force. To set it, drag the upper line up or down, or type in a value in the text box below.

Fade

Fade is the ending profile of the Pulse effect. To set it, drag the red handles or enter values in the text boxes below. Level is the location of the last red handle. Fade is automatically set to Magnitude if duration is "Infinite".

Direction

The direction of the force can be set by dragging the dial or entering a value in degrees in the box.
This setting has no effect on tactile feedback mice.

Iterations

Iterations specifies how many times the effect should cycle when it is played. The arrows can be used to increment and decrement the value. To specify that the effect repeated forever, push in the adjacent Infinity button.

Trigger

Trigger settings can be ignored when editing effects for TouchWare Desktop or TouchWare Office.

Button

Select a button to trigger the periodic force within an application.

Repeat Interval

The effect can be played repeatedly while the trigger button is held down by entering a value (in seconds) in the box. This is the delay in seconds between repetitions. To specify that the effect is not repeated, push in the adjacent Infinity button.

Time

The start delay and duration of the effect can be adjusting the slider bar or by typing a value (in seconds) into the Delay and Duration fields. To set the effect to run forever, push in the Infinity button adjacent to the Duration field.

Start

Start initiates the effect.

Stop

Stop ends the effect.

Time

The effect may be set to run for only a set duration (between 0 and 20 sec) by adjusting the slider bar. To set the effect to run infinitely, check the "Infinite" box.

Defaults

This button resets all values to their default setting.

Revert

This button allows you to revert to original setting when the editor was opened.


Tactile Feedback Effects in the Windows® Desktop

Immersion® TouchWare® Desktop 2.5

Immersion® TouchWare® Desktop adds tactile feedback sensations to standard Windows desktop items such as icons, menu items and buttons. These tactile effects are particularly important as they reinforce what you already see in a pleasant but tactile way. Immersion TouchWare Desktop also adds tactile feedback sensations to the Microsoft® Wordpad and Microsoft® Notepad text editors.

Immersion TouchWare Desktop 2.5 and Immersion TouchWare Business 1.0 share a common control panel, the Immersion TouchWare Applications control panel, to make it simpler for the user to quickly change the tactile feedback effects on their desktop and office suite applications.

The variety of tactile feedback sensations ranges from simple pops to sophisticated sensations made of texture and pulses. Adding tactile feedback lets you feel items and events on your desktop and in your applications to help you navigate them faster and more precisely, as well as providing a more complete sensory interaction with them.

Immersion TouchWare Desktop enables several categories of desktop items including icons, menu items, button controls, edit boxes, combo boxes, scroll bars, windows frames, toolbar icons as well as events such as dragging an icon and resizing or moving a window.

Feeling Icons with Immersion® TouchWare® Desktop

Immersion TouchWare Desktop will play tactile feedback effects when the cursor moves over an icon such as MyComputer or the Recycle Bin. It will also play effects in the application Microsoft Explorer when the cursor moves over icons. In addition, different sensations will be felt for selected icons and normal icons.

Feeling Menu Items with Immersion® TouchWare® Desktop

Immersion TouchWare Desktop will play tactile feedback effects when the cursor moves over menu items in application menus as well as in the Start bar menus. Different sensations will be felt when targeting normal menu items, grayed menu items, selected menu items as well as cascading menu items (menu items opening a sub-menu).

Feeling Button Controls with Immersion® TouchWare® Desktop

Immersion TouchWare Desktop will play tactile feedback effects when the cursor moves over various button controls including radio buttons, push buttons, check buttons, combo boxes, list boxes and edit boxes. Different sensations will be felt when targeting normal controls, grayed controls and controls having the keyboard focus.

Feeling Hyperlinks with Immersion® TouchWare® Desktop

Immersion TouchWare Desktop will play tactile feedback effects when the cursor moves over hyperlinks in browser software such as Microsoft Internet Explorer.

Feeling Events with Immersion® TouchWare® Desktop

Immersion TouchWare Desktop will play tactile feedback effects for events such as resizing or moving a window or an icon.

Scrolling in Immersion® TouchWare® Desktop

When using scrollbars to scroll through windows, tactile feedback effects will play as you use the thumb and arrows to scroll.


Tactile Feedback Effects In Microsoft® Excel

Immersion® TouchWare® Business 1.0 brings tactile feedback sensations to the Microsoft® Excel application. Depending on the active theme, tactile feedback effects in these applications may include:

  • Feeling empty cells.

  • Feeling data cells.

  • Feeling formula cells.

Different tactile feedback sensations are played during three different modes when working with Excel: browsing mode, selecting mode and dragging mode. Tactile feedback effects are also played to confirm tasks such as cut, copy, and paste, and during scrolling.

Browsing Effects in Microsoft® Excel

Browsing mode is active when simply moving the cursor across the display without selecting or dragging anything. Depending on the theme active at the time, tactile feedback effects will generally be more subdued while browsing.

Selecting Effects in Microsoft® Excel

Selecting mode is active when text or an object is being selected. Depending on the theme active at the time, tactile feedback effects will generally be different from browsing or dragging effects to help the user differentiate the activity and provide reinforcement of visual cues while selecting.

Dragging Effects in Microsoft® Excel

Dragging mode is active when text or an object is being selected. Depending on the theme active at the time, tactile feedback effects will generally be different from browsing or selecting effects to help the user differentiate the activity and provide reinforcement of visual cues while dragging.

Confirmation of Tasks in Microsoft® Excel

While working in Microsoft Excel, Immersion TouchWare Business 1.0 will play tactile feedback effects to confirm tasks including cut, copy, and paste commands. The tactile feedback played will depend on the current theme.

Scrolling Effects in Microsoft® Excel

While working in Microsoft Excel, Immersion TouchWare Business 1.0 will play tactile feedback effects to reinforce scrolling with the scrollbar or while scrolling when selecting or dragging. The tactile feedback played will depend on the current theme.


Tactile Feedback Effects In Microsoft® Word

Immersion® TouchWare® Business 1.0 brings tactile feedback sensations to the Microsoft® Word application. Depending on the active theme, tactile feedback effects in these applications may include:

  • Feeling character spaces, tabs, and movement between lines of text.

  • Feeling the first or the last letter of a word according to the cursor direction.

  • Tactile feedback for cursor changes

Different tactile feedback sensations are played during three different modes when working with the Microsoft Word: browsing mode, selecting mode and dragging mode. Tactile feedback effects are also played to confirm tasks such as cut, copy, and paste, and during scrolling.

Browsing Effects in Microsoft® Word

Browsing mode is active when simply moving the cursor across the display without selecting or dragging anything. Depending on the theme active at the time, tactile feedback effects will generally be more subdued while browsing.

Selecting Effects in Microsoft® Word

Selecting mode is active when text or an object is being selected. Depending on the theme active at the time, tactile feedback effects will generally be different from browsing or dragging effects to help the user differentiate the activity and provide reinforcement of visual cues while selecting.

Dragging Effects in Microsoft® Word

Dragging mode is active when text or an object is being dragged. Depending on the theme active at the time, tactile feedback effects will generally be different from browsing or selecting effects to help the user differentiate the activity and provide reinforcement of visual cues while dragging.

Confirmation of Tasks in Microsoft® Word

While working in Microsoft Word, Immersion TouchWare Business 1.0 will play tactile feedback effects to confirm tasks including cut, copy, and paste commands. The tactile feedback played will depend on the current theme.

Scrolling Effects in Microsoft® Word

While working in Microsoft Word, Immersion TouchWare Business 1.0 will play tactile feedback effects to reinforce scrolling with the scrollbar or while scrolling when selecting or dragging. The tactile feedback played will depend on the current theme.

Tactile Effects in Tables in Microsoft® Word

While working with tables in Microsoft Word, Immersion TouchWare Business will play tactile feedback effects as the cursor passes over lines between cells in the table.

Objects in Microsoft® Word

While working with objects in Microsoft Word, Immersion TouchWare Business will play tactile feedback effects as the cursor passes over resizing handles around the object.


Tactile Feedback Effects In Microsoft® Wordpad and Notepad

Immersion® TouchWare® Desktop brings tactile feedback sensations to text editing in the Microsoft® Wordpad and Microsoft® Notepad text editors, as well as other applications using "Rich Edit" fields. Depending on the active theme, tactile feedback effects in these applications may include:

  • Feeling characters, spaces, tabs, and movement between lines of text.

  • Feeling the first or the last letter of a word according to the cursor direction.

Different tactile feedback sensations are played during three different modes when working with the editors: browsing mode, selecting mode and dragging mode.

Browsing Effects in Microsoft® Wordpad and Notepad

Browsing mode is active when simply moving the cursor across the display without selecting or dragging anything. Dependent on the theme active at the time, tactile feedback effects will generally be more subdued while browsing.

Selecting Effects in Microsoft® Wordpad and Notepad

Selecting mode is active when text or an object is being selected. Dependent on the theme active at the time, tactile feedback effects will generally be different from browsing or dragging effects to help the user differentiate the activity and provide reinforcement of visual cues while selecting.

Dragging Effects in Microsoft® Wordpad and Notepad

Dragging mode is active when text or an object is being selected. Dependent on the theme active at the time, tactile feedback effects will generally be different from browsing or selecting effects to help the user differentiate the activity and provide reinforcement of visual cues while dragging.


Convention Names For The Tactile Effects Assigned To Text

Convention Names for Text Events

This is the naming convention to assign TouchSense™ sensations to text events and objects. The names provided in the left column need to appear in the theme with the proper spelling, otherwise Immersion® TouchWare® applications will ignore them.

Browsing Text
TextBrowsingBreak | Cursor moves over a page, section or column break.
TextBrowsingLine | Cursor moves over a new line.
TextBrowsingWordBegin | Cursor enters the first character of a word.
TextBrowsingWordEnd | Cursor enters the last character of a word.
TextBrowsingCharacter | Cursor moves over a character that is neither a tab, space nor new line.
TextBrowsingCharacterTab | Cursor moves over a tab character.
TextBrowsingCharacterSpace | Cursor moves over a space.
TextBrowsingCharacterHidden | Cursor moves over a hidden character.
TextBrowsingCharacterNewLine | Cursor moves over a new line character.

Selecting Text
TextSelectingBreak | Cursor moves over a page, section or column break.
TextSelectingLine | Cursor moves over a new line.
TextSelectingWord | When selection is done with the option for automatically selecting entire word. Note: This feature might not be available in some text editors.
TextSelectingWordBegin | Cursor enters the first character of a word.
TextSelectingWordEnd | Cursor enters the last character of a word.
TextSelectingCharacter | Cursor moves over a character that is neither a tab, nor a space nor a new line.
TextSelectingCharacterTab | Cursor moves over a tab character.
TextSelectingCharacterSpace | Cursor moves over a space.
TextSelectingCharacterHidden | Cursor moves over a hidden character.
TextSelectingCharacterNewLine | Cursor moves over a new line character.

Dragging text
TextDraggingBreak | Cursor moves over a page, section or column break.
TextDraggingLine | Cursor moves over a new line.
TextDraggingWord | When selection is done with the option for automatically selecting entire word. Note: This feature might not be available in some text editors.
TextDraggingWordBegin | Cursor enters the first character of a word.
TextDraggingWordEnd | Cursor enters the last character of a word.
TextDraggingCharacter | Cursor moves over a character that is neither a tab, nor a space nor a new line.
TextDraggingCharacterTab | Cursor moves over a tab character.
TextDraggingCharacterSpace | Cursor moves over a space.
WDraggingCharacterHidden | Cursor moves over a hidden character.
TextDraggingCharacterNewLine | Cursor moves over a new line character.


Convention Names For The Effects Assigned To Spreadsheet

Convention Names for Spreadsheet Events

This is the naming convention to assign TouchSense™ sensations to spreadsheet events and objects. The names provided in the left column need to appear in the theme with the proper spelling, otherwise Immersion® TouchWare® applications will ignore them.

Browsing in Spreadsheet
CellBrowsingEmpty | Cursor enters an empty cell.
CellBrowsingData | Cursor enters a cell with some data inside that is not a formula.
CellBrowsingFormula | Cursor enters a cell with a formula inside.
CellBrowsingHidden | Cursor enters a hidden cell.

Selecting in Spreadsheet
CellESelectingEmpty | Cursor enters an empty cell.
CellESelectingData | Cursor enters a cell with some data inside that is not a formula.
CellESelectingFormula | Cursor enters a cell with a formula inside.
CellESelectingHidden | Cursor enters a hidden cell.

Dragging in Spreadsheet
CellDraggingEmpty | Cursor enters an empty cell.
CellDraggingData | Cursor enters a cell with some data inside that is not a formula.
CellDraggingFormula | Cursor enters a cell with a formula inside.
CellDraggingHidden | Cursor enters a hidden cell.


Convention Names For The Desktop Events/Objects

Convention Names for Desktop Events

This is the naming convention to assign TouchSense™ sensations to desktop events and objects. The names provided in the left column need to appear in the theme with the proper spelling, otherwise Immersion® TouchWare® applications will ignore them.

Desktop Icon Effects
DesktopIcons | Effect played when cursor moves over desktop icons such as the MyComputer icon.
DesktopIconsGrayed | Icons are grayed out (Disabled).
DesktopIconsSelected | Icons are selected.
DesktopDragging | Effect played while dragging an icon or an object.

Menu Items Effects
DesktopMenuItems | Effect played when cursor moves over application menu items and in the Start bar.
DesktopMenuItemsGrayed | Menu item is grayed out (Disabled).
DesktopMenuItemsCascade | Menu item will open a sub-menu.

Button and Control Effects
DesktopToolbarButtons | Effect played when cursor moves over toolbar buttons/icons.
DesktopToolbarButtonsGrayed | Toolbar button is grayed out (Disabled).
DesktopRadioButtons | Effect played when cursor moves over a radio button.
DesktopRadioButtonsGrayed | Radio button is grayed out (Disabled).
DesktopRadioButtonsGetFocus | Radio button has the keyboard focus.
DesktopPushButtons | Effect played when cursor moves over a push button.
DesktopPushButtonsGrayed | Push button is grayed out (Disabled).
DesktopPushButtonsGetFocus | Push button has the keyboard focus.
DesktopSpinButtons | Effect played when cursor moves over a spin buttons.
DesktopCheckBoxes | Effect played when cursor moves over a check box.
DesktopCheckBoxesGrayed | Check box is grayed out (Disabled).
DesktopCheckBoxesGetFocus | Check box has the keyboard focus.
DesktopEditBoxes | Effect played when cursor moves over a edit boxes.
DesktopEditBoxesGrayed | Edit boxes is grayed out (Disabled).
DesktopEditBoxesGetFocus | Edit boxes has the keyboard focus.
DesktopComboBoxes | Effect played when cursor moves over combo box.
DesktopComboBoxesGrayed | Combo box is grayed out (Disabled).
DesktopComboBoxesGetFocus | Combo box has the keyboard focus.

Windows Effects
DesktopSystemMenu | Effect played when cursor moves over the system menu button in the caption bar.
DesktopButtonMinimize | Effect played when cursor moves over minimize button in the caption bar.
DesktopButtonMaximize | Effect played when cursor moves over the maximize button in the caption bar.
DesktopButtonClose | Effect played when cursor moves over the close button in the caption bar.
DesktopWindowBorders | Effect played when cursor moves crosses borders of a window.
DesktopWindowSizingMoving | Effect played while resizing or dragging a window.

Scrolling Effects
DesktopScrolling | Effect played while scrolling, if not of the other scrolling effects are defined.
DesktopScrollingLine | Effect played while scrolling line by line.
DesktopScrollingPage | Effect played while scrolling page by page.
DesktopScrollingTrack | Effect played while scrolling by dragging the scrollbar thumb.
DesktopScrollbarThumb | Effect played when cursor moves over the scrollbar thumb.
DesktopScrollbarShaft | Effect played when cursor moves over the scrollbar shaft, but not over the thumb.
DesktopScrollbarArrow | Effect played when cursor moves over either of the two scrollbar arrows.

Hyperlink Effects
DesktopHyperlink | Effect played when cursor moves over a hyperlink.
DesktopGlobalEffects | Effect played for the global effect.


Convention Names For The General Events

Convention Names for General Events

This is the naming convention to assign TouchSense™ sensations to general events. The names provided in the left column need to appear in the theme with the proper spelling, otherwise Immersion® TouchWare® applications will ignore them.

General Editing Events
GenCutSelection | A selection is cut, using keyboard shortcut CTRL+X or menu Edit/Cut.
GenCopySelection | A selection is copied, using keyboard shortcut CTRL+C or menu Edit/Copy.
GenPasteSelection | A selection is pasted, using keyboard shortcut CTRL+V or menu Edit/Paste.
GenScroll | Scrollbar thumb is moved, either directly, with arrows or when content is scrolled.

General Cursor Events
GenCursorHelp | Cursor changes to a question mark.
GenCursorAPPStarting | Cursor changes to a standard arrow and small hourglass.
GenCursorHand | Cursor changes to a Hand (Windows 2000 only).
GenCursorSizeALL | Cursor changes to a Four-pointed arrow pointing north, south, east, and west.
GenCursorSizeNS | Cursor changes to a Double-pointed arrow pointing north and south.
GenCursorSizeWE | Cursor changes to a Double-pointed arrow pointing west and east.
GenCursorSizeNESW | Cursor changes to a Double-pointed arrow pointing northeast and southwest.
GenCursorSizeNWSE | Cursor changes to a Double-pointed arrow pointing northwest and southeast.
GenCursorUPArrow | Cursor changes to a Vertical arrow.
GenCursorCross | Cursor changes to a Crosshair.
GenCursorWait | Cursor changes to a Hourglass.
GenCursorIBeam | Cursor changes to an I-beam.
GenCursorArrow | Cursor changes to a Standard arrow.


Convention Names For The Cursor Events (specific to Word)

Convention Names for Cursor Events in Microsoft® Word

This is the naming convention to assign TouchSense™ sensations to cursor changes specific to Microsoft® Word. The names provided in the left column need to appear in the theme with the proper spelling, otherwise Immersion® TouchWare® applications will ignore them.

Cursor Events in Microsoft Word
WordCursorDownArrow | Cursor changes to:
WordCursorTableHorzResize | Cursor changes to:
WordCursorTableVertResize | Cursor changes to:
WordCursorSolidArrowPointingNE | Cursor changes to:
WordCursorDiagramDrag | Cursor changes to:
WordCursorArrowPointingNE | Cursor changes to:


.topic 0x80cd0410
This selection list will allow you to choose a theme that defines forces to use.
A theme is a collection of tactile effects that represent a common sensation. For example a
theme called bounce will have effects that give the user the feeling of bouncing objects.
This theme will be applied to all categories defined in the advanced tab,
If you wish to modify a theme used by a specific category you can do so in
the advanced tab.

.topic 0x80cd0413
Click here to edit the currently selected theme. Pressing on this button will
activate Immersion Studio (if installed). Immersion Studio will be
loaded with TouchSense definitions of forces in the selected theme. You can modify
specific definitions from within Immersion Studio that better support your preferences.

.topic 0x80cd03e8
Drag the slider left/right to decrease/increase the strength of
the forces generated. This slider modifies the master volume of
the device on which forces are being played.

.topic 0x80cd0414
If you want to turn off/disable forces from being felt on the TouchSense
mouse, you can do so by selecting this check box. A check mark identifies
that no forces are to be felt, no check mark identifies that forces
will be felt.

.topic 0x80cd03ff
This hotkey is a combination of keys that will toggle forces on and off from
within any application when you press them together.

Click Inside the edit box and press the keys you want to use.

.topic 0x80cd0415
Click here to automatically start TouchSense when Windows starts.
You will see an icon added to the tray in the taskbar. By clicking on this
icon you can activate the TouchSense definition dialog.

.topic 0x80cd0419
Click here to download the latest version of TouchSense software applications.

.topic 0x80cd0435
Move your cursor over the Immersion logo to feel hand and fingers.

.topic 0x80cd0436
Click here to view web sites and software applications that have been
enhanced with Immersion TouchSense technology. These sites and applications
will help you get the maximum experience out of your Immersion TouchSense
enabled mouse or trackball. You must be connected to the Internet to view this list.

.topic 0x80cd0437
Click here to learn more about Immersion TouchSense technology. You must be connected
to the Internet to view this site.

.topic 0x80ce00d7
This selection list will allow you to choose the TouchSense device that forces will be played on.
If there is only one device attached to your computer then the selection control will be grayed out.

.topic 0x80ce03f3
This list will show you the current settings for each category defined for TouchSense.
Each category represents a set of items that forces will be applied on that you can fine
tune.

You can pick a category in the list and change its theme, gain, and Filter.

The following category types are available:

Desktop	: items associated to objects on the Windows desktop (what you see when all applications are minimized , or generic objects in windows (like menus, buttons etc.)

Text		: items associated with objects that display and allow modification to textual information (like text editors)

Tables		: items associated with objects that are represented by tables (like tables in Microsoft Word)

Grid		: similar to tables, but more specific to Spreadsheet type controls (like a worksheet in Microsoft Excel)

Drawing		: items associated with drawing objects (like a drawn box in Microsoft Word)

Email		: items associated events that occur in email based applications (like a received e mail in Microsoft Outlook)

General Cursors	: items associated with changes of the mouse cursor (like an I beam changing to an hourglass)

.topic 0x80ce03f7
This selection list will allow you to choose the theme to use for an item in the Content Category list.

.topic 0x80ce03f9
Drag the slider left/right to decrease/increase the strength of the sensitivity filter that will be
associated to the item selected in the Content Category list.
The feedback sensitivity filter reduces forces based on how fast you move the mouse.
A filter set to "None" (0%) does not change the forces from their assigned values.
A medium filter gradually reduces forces when you move the mouse faster.
A filter set to "Full" (100%) completely removes forces even when the mouse is moving relatively slowly.

.topic 0x80ce03f6
Drag the slider left/right to decrease/increase the strength of the item selected in the Content Category list.
This will be a modification of overall strength for that category.

.topic 0x80ce03ec
Click here to apply the current parameters to all items in Content Category list.

.topic 0x80ce03eb
Click here to exclude an application from having effects felt when using a TouchSense mouse.
Pressing on this button will activate a list showing the applications that have been disabled.
The selecting of an application to disable is done using a file selection dialog, which allows
you to browse through folders and files (e.g. for Word you would select winword.exe and for excel you would select
excel.exe in the associated folders.

Note: you can only deactivate applications that have components that you can see,
so not all applications that you select through this mechanism can be disabled.

.topic 0x80cc03ea
This list displays applications that are not enhanced by Immersion TouchSense technology.

.topic 0x80cc03eb
Click here to add an application to the list of touch sensation disabled applications.

.topic 0x80cc03ec
Click here to remove an application from the list of touch sensation disabled applications.

.topic 0x80cd03ed
This is the value the overall strength.